Bug 193372 - [JSC] Do not use asArrayModes() with Structures because it discards TypedArray information
Summary: [JSC] Do not use asArrayModes() with Structures because it discards TypedArra...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Yusuke Suzuki
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-01-11 17:37 PST by Yusuke Suzuki
Modified: 2019-01-14 14:31 PST (History)
9 users (show)

See Also:


Attachments
WIP (39.87 KB, patch)
2019-01-11 18:19 PST, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
WIP (41.27 KB, patch)
2019-01-11 18:51 PST, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
WIP (41.27 KB, patch)
2019-01-11 19:41 PST, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
WIP (39.81 KB, patch)
2019-01-11 19:45 PST, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-highsierra (836.64 KB, application/zip)
2019-01-11 20:47 PST, EWS Watchlist
no flags Details
Archive of layout-test-results from ews106 for mac-highsierra-wk2 (1.34 MB, application/zip)
2019-01-11 20:54 PST, EWS Watchlist
no flags Details
Archive of layout-test-results from ews113 for mac-highsierra (622.76 KB, application/zip)
2019-01-11 20:59 PST, EWS Watchlist
no flags Details
Archive of layout-test-results from ews125 for ios-simulator-wk2 (1003.27 KB, application/zip)
2019-01-11 21:33 PST, EWS Watchlist
no flags Details
Patch (39.77 KB, patch)
2019-01-12 14:47 PST, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (45.85 KB, patch)
2019-01-13 00:54 PST, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (44.96 KB, patch)
2019-01-13 01:18 PST, Yusuke Suzuki
sbarati: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yusuke Suzuki 2019-01-11 17:37:12 PST
...
Comment 1 Yusuke Suzuki 2019-01-11 17:41:56 PST
<rdar://problem/46221750>
Comment 2 Yusuke Suzuki 2019-01-11 18:19:41 PST
Created attachment 358969 [details]
WIP
Comment 3 Yusuke Suzuki 2019-01-11 18:51:53 PST
Created attachment 358971 [details]
WIP
Comment 4 Yusuke Suzuki 2019-01-11 19:41:32 PST
Created attachment 358975 [details]
WIP
Comment 5 Yusuke Suzuki 2019-01-11 19:45:55 PST
Created attachment 358976 [details]
WIP
Comment 6 EWS Watchlist 2019-01-11 20:47:13 PST
Comment on attachment 358976 [details]
WIP

Attachment 358976 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/10721775

Number of test failures exceeded the failure limit.
Comment 7 EWS Watchlist 2019-01-11 20:47:15 PST
Created attachment 358978 [details]
Archive of layout-test-results from ews100 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 8 EWS Watchlist 2019-01-11 20:54:30 PST
Comment on attachment 358976 [details]
WIP

Attachment 358976 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/10721782

Number of test failures exceeded the failure limit.
Comment 9 EWS Watchlist 2019-01-11 20:54:31 PST
Created attachment 358979 [details]
Archive of layout-test-results from ews106 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 10 EWS Watchlist 2019-01-11 20:59:20 PST
Comment on attachment 358976 [details]
WIP

Attachment 358976 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/10721764

Number of test failures exceeded the failure limit.
Comment 11 EWS Watchlist 2019-01-11 20:59:21 PST
Created attachment 358980 [details]
Archive of layout-test-results from ews113 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews113  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 12 EWS Watchlist 2019-01-11 21:33:43 PST
Comment on attachment 358976 [details]
WIP

Attachment 358976 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/10721830

Number of test failures exceeded the failure limit.
Comment 13 EWS Watchlist 2019-01-11 21:33:45 PST
Created attachment 358983 [details]
Archive of layout-test-results from ews125 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews125  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 14 Yusuke Suzuki 2019-01-12 14:47:27 PST
Created attachment 358996 [details]
Patch

WIP
Comment 15 Yusuke Suzuki 2019-01-13 00:54:06 PST
Created attachment 359003 [details]
Patch
Comment 16 Yusuke Suzuki 2019-01-13 01:18:07 PST
Created attachment 359004 [details]
Patch
Comment 17 Yusuke Suzuki 2019-01-13 01:22:13 PST
ArrayProfiling fix is checked by existing JSTests/stress/typed-array-get-by-val-profiling.js
Comment 18 Saam Barati 2019-01-14 14:12:30 PST
Comment on attachment 359004 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=359004&action=review

r=me

> Source/JavaScriptCore/bytecode/ArrayProfile.cpp:41
> +const ArrayModes TypedArrayModes[NumberOfTypedArrayTypesExcludingDataView] = {

Should "TypedArrayModes" should be capitalized according to our style guidelines?
Comment 19 Yusuke Suzuki 2019-01-14 14:29:41 PST
Comment on attachment 359004 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=359004&action=review

>> Source/JavaScriptCore/bytecode/ArrayProfile.cpp:41
>> +const ArrayModes TypedArrayModes[NumberOfTypedArrayTypesExcludingDataView] = {
> 
> Should "TypedArrayModes" should be capitalized according to our style guidelines?

"typedArrayModes" seems nice. Fixed.
Comment 20 Yusuke Suzuki 2019-01-14 14:31:22 PST
Committed r239951: <https://trac.webkit.org/changeset/239951>